Múltiples vulnerabilidades corregidas en Sun Java

Compartir

Sun ha publicado una actualización de su Entorno de Tiempo de Ejecución Java (Java Runtime Environment o JRE), que corrige vulnerabilidades que pueden permitir a un atacante el acceso a los recursos de red, leer o escribir archivos locales, o mover o copiar archivos del sistema.

JRE permite a los usuarios de Windows y otros sistema operativos, ejecutar aplicaciones en Java tanto en el navegador de Internet como en programas independientes.

Una de las vulnerabilidades corregida, permite a un applet no confiable que podría ser descargado desde algún sitio malicioso de Internet, realizar conexiones a los servicios de red de otras máquinas, además de la del usuario. Esto puede permitir la explotación de otras vulnerabilidades.

Otra de las vulnerabilidades reportadas, permite que un atacante pueda leer o escribir archivos en el equipo del usuario, o que determine la ubicación del caché del Java Web Start.

Java Web Start es un componente del entorno de ejecución de Java, que permite descargar y ejecutar aplicaciones Java desde la Web.

Se utiliza para activar las aplicaciones con un simple clic, eliminando complejos procedimientos de instalación o actualización, además de garantizar que se está ejecutando la última versión de la aplicación.

Cuando se descarga por primera vez una aplicación que utiliza esta tecnología, el software de Java Web Start se ejecuta automáticamente y guarda la aplicación localmente, en la memoria caché del equipo. De este modo, las subsiguientes ejecuciones son prácticamente instantáneas, ya que los recursos necesarios están disponibles de forma local.

Cada vez que se inicia la aplicación, el software de Java Web Start comprueba si en la Web de la aplicación hay una versión nueva disponible; si es así, la descarga y la ejecuta de forma automática.

La tercera vulnerabilidad corregida, afecta un componente no especificado, y su explotación puede permitir mover o copiar archivos de forma arbitraria, aunque requiere la interacción con el usuario.

Los siguientes productos son vulnerables:
- JDK y JRE 6 Update 2 y anteriores.
- JDK y JRE 5.0 Update 12 y anteriores.
- SDK y JRE 1.4.2_15 y anteriores.
- SDK y JRE 1.3.1_20 y anteriores.

La solución es instalar las versiones más actuales (para Windows, Solaris, y Linux), desde el siguiente enlace:

http://www.java.com/es/download/manual.jsp


IMPORTANTE:

Se recomienda desinstalar todas las versiones anteriores de Sun Java. Más información:

Sun Java pone en riesgo la seguridad de nuestro PC
http://www.vsantivirus.com/java-sun-030905.htm


Otros sitios de descarga:

JDK and JRE 6 Update 3:
http://java.sun.com/javase/downloads/index.jsp

JDK and JRE 5.0 Update 13:
http://java.sun.com/javase/downloads/index_jdk5.jsp

SDK and JRE 1.4.2_16:
http://java.sun.com/j2se/1.4.2/download.html

SDK and JRE 1.3.1 for Solaris 8:
http://java.sun.com/j2se/1.3/download.html

Fuente: Vsantivirus
Compartir
  #1  
Creado: 06-Oct-2007, a las 11:10 Vistas: 644
Creado por: Nafer Nafer está desconectado (05-October-2007 | 3.524 Mensajes.)